10e79c Skip test_venv

Authored and Committed by churchyard 8 months ago
    Skip test_venv
    
    New version of pip (19.x) has a deprecation warning for Python 3.4.
    The test does not expect it and fails.
    We don't fix the test becasue we test venv in our CI and 3.4 is a dead horse.
    
    ======================================================================
    FAIL: test_with_pip (test.test_venv.EnsurePipTest)
    ----------------------------------------------------------------------
    Traceback (most recent call last):
      File "/builddir/build/BUILD/Python-3.4.9/Lib/test/test_venv.py", line 390, in test_with_pip
        self.assertEqual(err, "")
    AssertionError: "DEPRECATION: Python 3.4 support has been[147 chars]).\n" != ''
    - DEPRECATION: Python 3.4 support has been deprecated. pip 19.1 will be the last one supporting it. Please upgrade your Python as Python 3.4 won't be maintained after March 2019 (cf PEP 429).
    ----------------------------------------------------------------------
    
        
file modified
+2 -0